%global momorel 18

%global gecko_version 1.9.0.14
%global gtk2_version 2.8.0
%global libwnck_version 2.10.0

Summary: API document browser
Name: devhelp
Version: 0.19
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Development/Tools
URL: http://ftp.gnome.org/pub/gnome/sources/devhelp/
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.19/%{name}-%{version}.tar.bz2
#Source: http://download.gnome.org/sources/devhelp/0.18/devhelp-%{version}.tar.bz2
NoSource: 0
Patch0:  devhelp-0.19-xulrunner.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(pre): GConf2 >= 2.22.0
Requires(preun): GConf2 >= 2.22.0
Requires(post): GConf2 >= 2.22.0

Requires: gecko-libs = %{gecko_version}

### Build Dependencies ###

BuildRequires: gecko-devel = %{gecko_version}
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: libgnomeui-devel >= 2.2.0
BuildRequires: libwnck-devel >= %{libwnck_version}

BuildRequires: gtk2-devel >= 2.12.8
BuildRequires: GConf2-devel >= 2.22.0
BuildRequires: glib2-devel >= 2.16.1
BuildRequires: libglade2-devel >= 2.6.2
BuildRequires: desktop-file-utils >= 0.12
BuildRequires: gecko-devel >= %{gecko_ver}

%description
An API document browser for GNOME 2.

%package devel
Summary: Library to embed Devhelp in other applications.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gnome-vfs2-devel >= 2.2.0
Requires: gtk2-devel >= %{gtk2_version}
Requires: libgnomeui-devel >= 2.2.0
Requires: libwnck-devel >= %{libwnck_version}
Requires: pkgconfig

%description devel
Library of Devhelp for embedding into other applications.

%prep
%setup -q -n devhelp-%{version}
%patch0 -p1 -b .xl

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf --preserve-root %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix} install 
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome			\
  --delete-original					\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications		\
  --remove-category=Application				\
  $RPM_BUILD_ROOT%{_datadir}/applications/devhelp.desktop

find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

rm $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

mkdir -p $RPM_BUILD_ROOT%{_datadir}/devhelp/books

%find_lang devhelp

%clean
rm -rf --preserve-root %{buildroot}

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/devhelp.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/devhelp.schemas > /dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/devhelp.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f devhelp.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README 

%{_bindir}/devhelp
%{_libdir}/libdevhelp*.so.*

%{_datadir}/applications/*.desktop
%{_datadir}/devhelp
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/locale/*/*/*
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%{_libdir}/gedit-2/plugins/%{name}
%{_libdir}/gedit-2/plugins/%{name}.gedit-plugin

%files devel
%defattr(-,root,root)
%{_prefix}/include/devhelp-1.0
%{_libdir}/libdevhelp*.so
%{_libdir}/pkgconfig/*

%changelog
* Thu Sep 10 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.19-18m)
- rebuild against xulrunner-1.9.0.14

* Thu Aug  6 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.19-17m)
- rebuild against xulrunner-1.9.0.13

* Thu Jul 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.19-16m)
- rebuild against xulrunner-1.9.0.12-1m

* Tue Apr 28 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.19-15m)
- rebuild against xulrunner-1.9.0.10-1m

* Fri Apr 24 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.19-14m)
- rebuild against xulrunner-1.9.0.9-1m

* Mon Mar 30 2009 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.19-13m)
- rebuild against xulrunner-1.9.0.8-1m

* Sat Mar 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.19-12m)
- rebuild against xulrunner-1.9.0.7-1m

* Mon Feb 16 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.19-11m)
- rebuild against xulrunner-1.9.0.6-1m

* Thu Jan  8 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.19-10m)
- rebuild against xulrunner-1.9.0.5-1m

* Sat Nov 15 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.19-9m)
- rebuild against xulrunner-1.9.0.4-1m

* Wed Sep 24 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.19-8m)
- rebuild against xulrunner-1.9.0.2-1m

* Sun Jul 20 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.19-7m)
- rebuild against xulrunner-1.9.0.1-1m

* Sun Jun 22 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.19-6m)
- remove Requires: firefox

* Mon Apr 28 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.19-5m)
- rebuild against firefox-3

* Thu Apr 17 2008 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.19-4m)
- rebuild against firefox-2.0.0.14

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.19-3m)
- rebuild against gcc43

* Thu Mar 27 2008 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.19-2m)
- rebuild against firefox-2.0.0.13

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.19-1m)
- update to 0.19

* Sun Feb 10 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.16.1-6m)
- rebuild against firefox-2.0.0.12

* Sat Dec  1 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.16.1-5m)
- rebuild against firefox-2.0.0.11

* Wed Nov 28 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.16.1-4m)
- rebuild against firefox-2.0.0.10

* Fri Nov  2 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.16.1-3m)
- rebuild against firefox-2.0.0.9

* Fri Oct 19 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.16.1-2m)
- rebuild against firefox-2.0.0.8

* Sun Oct  7 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.16.1-1m)
- update to 0.16.1

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.16-3m)
- rebuild against libwnck-2.20.0

* Wed Sep 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.16-2m)
- rebuild against firefox-2.0.0.7

* Thu Sep 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.16-1m)
- update to 0.16

* Tue Aug  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.14-4m)
- add Requires for firefox

* Mon Aug  6 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.14-3m)
- rebuild against firefox-2.0.0.6

* Sat Jun 16 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.14-2m)
- rebuild against firefox
- hard coding firefox version in libdevhelp-1.0.pc

* Fri May 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14-1m)
- update to 0.14

* Sun Feb  4 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.13-1m)
- update to 0.13

* Mon Nov 13 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.11-4m)
- copy from momonga's trunk (r12695)
- use firefox-devel instead of mozilla-devel

* Fri Sep 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11-3m)
- remove category X-Red-Hat-Base Application

* Thu Aug 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11-2m)
- delete libtool library

* Mon Feb 20 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11-1m)
- update to 0.11

* Sun Nov 27 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10-2m)
- invoke intltool with --force option

* Tue May 17 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.10-1m)
- initial import to Momonga

* Mon Oct 11 2004 Christopher Aillon <caillon@redhat.com> 0.9.2-2
- Rebuild to add ppc once again.

* Wed Sep 29 2004 Christopher Aillon <caillon@redhat.com> 0.9.2-1
- Update to 0.9.2
- Remove accel patch; its upstreamed now.

* Sun Sep 26 2004 Christopher Blizzard <blizzard@redhat.com> 0.9.1-6
- Rebuild without explicit mozilla release

* Fri Sep 24 2004 Christopher Blizzard <blizzard@redhat.com> 0.9.1-5
- Rebuild with explicit Mozilla version requires

* Wed Sep 22 2004 Christopher Aillon <caillon@redhat.com> 0.9.1-4
- Rebuilt to pick up new mozilla changes
- Drop ppc from the build since mozilla doesn't build there anymore.

* Wed Aug 25 2004 Christopher Aillon <caillon@redhat.com> 0.9.1-3
- Add Johan Svedberg's patch to add accelerators for back and forward 

* Mon Aug 09 2004 Christopher Aillon <caillon@redhat.com>
- Rebuild

* Wed Aug 04 2004 Christopher Aillon <caillon@redhat.com>
- Update to 0.9.1
- Remove ld-library patch. It is upstream now.

* Wed Jun 23 2004 Christopher Aillon <caillon@redhat.com>
- Update ExclusiveArch

* Tue Jun 22 2004 Christopher Aillon <caillon@redhat.com>
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 21 2004 Colin Walters <walters@redhat.com> 0.9-3
- Update patch to avoid (unlikely) security issue noticed
  by Jeremy Katz.

* Mon Apr 15 2004 Colin Walters <walters@redhat.com> 0.9-2
- Apply patch from George Karabin <gkarabin@pobox.com> to
  export LD_LIBRARY_PATH (closes bug 120220).

* Fri Apr  2 2004 Mark McLoughlin <markmc@redhat.com> 0.9-1
- Update to 0.9
- Install the schemas correctly
- Package /usr/bin/devhelp-bin
- Update requires/buildrequires
- Only build on platforms where mozilla is available

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 0.8.1-1
- update to 0.8.1

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Dec  1 2003 Jonathan Blandford <jrb@redhat.com> 0.7.0-1
- new version
- Remove .la and .a files.

* Wed Jul 30 2003 Jonathan Blandford <jrb@redhat.com>
- remove original devhelp desktop file.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat May 24 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add find_lang
